Last Comment Bug 806929 - PBM - add context menu controls
: PBM - add context menu controls
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 20
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
: 816996 (view as bug list)
Depends on:
Blocks: pb
  Show dependency treegraph
 
Reported: 2012-10-30 07:17 PDT by Ian Barlow (:ibarlow)
Modified: 2013-12-10 10:01 PST (History)
14 users (show)
andreea.pod: in‑moztrap+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified


Attachments
Context menu mockup (60.94 KB, image/png)
2012-10-30 07:17 PDT, Ian Barlow (:ibarlow)
no flags Details
Patch (1/2): For webpage. (46.96 KB, patch)
2012-11-16 13:23 PST, Sriram Ramasubramanian [:sriram]
no flags Details | Diff | Review
Patch (1/2): For webpage (3.73 KB, patch)
2012-11-16 13:39 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Review
Patch (2/2): For awesomescreen (5.27 KB, patch)
2012-11-16 13:39 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Review

Description Ian Barlow (:ibarlow) 2012-10-30 07:17:26 PDT
Created attachment 676590 [details]
Context menu mockup

Allow users to create new private tabs from long pressing a link in web content. A mockup is attached. 

String:
"Open link in new private tab"
Comment 1 Sriram Ramasubramanian [:sriram] 2012-11-16 13:23:01 PST
Created attachment 682599 [details] [diff] [review]
Patch (1/2): For webpage.

This adds (copy/pastes) "open in new private tab" option.
Comment 2 Sriram Ramasubramanian [:sriram] 2012-11-16 13:36:44 PST
Comment on attachment 682599 [details] [diff] [review]
Patch (1/2): For webpage.

That's a wrong patch.
Comment 3 Sriram Ramasubramanian [:sriram] 2012-11-16 13:39:02 PST
Created attachment 682604 [details] [diff] [review]
Patch (1/2): For webpage

This adds the "open in new private tab" for links in webpages.
Comment 4 Sriram Ramasubramanian [:sriram] 2012-11-16 13:39:58 PST
Created attachment 682606 [details] [diff] [review]
Patch (2/2): For awesomescreen

And some copy paste for awesomescreen.
Comment 6 Sriram Ramasubramanian [:sriram] 2012-11-30 11:35:30 PST
*** Bug 816996 has been marked as a duplicate of this bug. ***
Comment 7 :Ehsan Akhgari (busy, don't ask for review please) 2012-12-10 12:02:13 PST
This landed on inbound a week ago...  What happened after it?!
Comment 8 Kartikaya Gupta (email:kats@mozilla.com) 2012-12-10 12:33:22 PST
It was backed out by mfinkle:

https://hg.mozilla.org/integration/mozilla-inbound/rev/6cb490697a27

Dunno if it re-landed after that.
Comment 9 Mark Finkle (:mfinkle) (use needinfo?) 2012-12-10 13:19:14 PST
Ugh. I forgot to link it here. Thanks Kats.

Sriram - Can you push this to Try and see what the test failures were about?
Comment 12 Ioana Chiorean 2012-12-18 06:03:52 PST
The option "Open Link in New Private Tab" is present on latest Nightly: 
Firefox 20.0a1 (2012-12-18)
Device: Galaxy Nexus
OS: Android 4.1.1

Marking bug as VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.